Skip to content

Equipment

Equipment is an optional feature that allows dispatchers to schedule both mobile workers and equipment required for jobs.

For example, you may need to schedule Bob, the Forklift, Truck 23 and Trailer 15 for a specific job.

Once this feature is enabled and your equipment has been setup, you can then assign equipment to your jobs as needed.

The following web services can be used to create, update, delete and search for equipment within vWork.

Here are the fields you can use when making an equipment request:

NameTypeDescription
nameStringUnique name of equipment, this is what will be displayed on the schedule, cannot be blank.
third_party_idStringYour unique ID for the equipment. (optional)
modelStringA description of the equipment. (optional)
notesStringAncillary information about the equipment. (optional)
serialStringThe serial number of the equipment. (optional)
tag_idsStringComma-separated list of ids of tags this equipment shall have.* (optional)
group_idsStringComma-separated list of ids of groups this equipment shall be a member of. (optional)

*Assigning a tag to a piece of equipment means that only users with that same tag will be allowed to use that equipment. For example, if you assign a Heavy Vehicle License tag to a truck, then only users with a Heavy Vehicle License tag will be able to be assigned to that truck (and therefore that job).

When retrieving equipment from vWork, you may also see these additional fields in the response.

NameTypeDescription
idIntegerThe unique ID of the equipment. Auto-generated by vWork.
account_idIntegerThe unique ID of your account. Auto-generated by vWork.

Create A New Piece of Equipment

Request

Creates a new piece of equipment in vWork.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

POST
/v5/equipment.xml
curl -i -X POST \
  'https://api.vworkapp.com/v5/equipment.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <equipment>
      <third_party_id>QWERTYUIOP</third_party_id>
      <name>The Forklift</name>
      <model>Crown</model>
      <notes>Picking it up and Putting it down</notes>
      <serial>53476435482</serial>
      <tag_ids>24,2008</tag_ids>
      <group_ids>1,4833,501</group_ids>
  </equipment>'

Responses

Created

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:39:38 GMT"
ETagstring
Example:"W/\"2dbcb6a04f44419e584b939d643b66f1\""
Statusstring
Example:"201 Created"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"c984cbfd-2df1-4010-bad2-d5ef1e4d5412"
X-Runtimestring
Example:"0.586222"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F4426_6E78F2:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<equipment>
    <id readonly="readonly">9552</id>
    <account_id readonly="readonly">1296</account_id>
    <name>The Forklift</name>
    <notes>Picking it up and Putting it down</notes>
    <third_party_id>QWERTYUIOP</third_party_id>
    <model>Crown</model>
    <serial>53476435482</serial>
    <group_ids>1,501,4833</group_ids>
    <tag_ids>24,2008</tag_ids>
</equipment>